Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

ezforum/user/searchsupplier.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: searchsupplier.php 7750 2001-10-10 11:38:41Z bf $
5 //
6 // Created on: <23-Oct-2000 17:53:46 bf>
7 //
8 // This source file is part of Exponential Basic, publishing software.
9 //
10 // Copyright (C) 1999-2001 eZ Systems. All rights reserved.
11 //
12 // This program is free software; you can redistribute it and/or
13 // modify it under the terms of the GNU General Public License
14 // as published by the Free Software Foundation; either version 2
15 // of the License, or (at your option) any later version.
16 //
17 // This program is distributed in the hope that it will be useful,
18 // but WITHOUT ANY WARRANTY; without even the implied warranty of
19 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
20 // GNU General Public License for more details.
21 //
22 // You should have received a copy of the GNU General Public License
23 // along with this program; if not, write to the Free Software
24 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
25 //
26
27
28 $ModuleName = "eZ forum";
29 $SearchResult[0]["DetailedSearchPath"] = "/forum/search/";
30 $SearchResult[0]["DetailedSearchVariable"] = "QueryString";
31 $SearchResult[0]["DetailViewPath"] = "/forum/message/";
32 $SearchResult[0]["IconPath"] = "/design/base/images/icons/message.gif";
33
34 // include_once( "ezforum/classes/ezforum.php" );
35
36 $forum = new eZForum();
37
38 $SearchResult[0]["Result"] = $forum->search( $SearchText, 0, $Limit, $SearchResult["SearchCount"] );
39 $SearchResult[0]["SearchCount"] = count( $SearchResult[0]["Result"] );
40 // $SearchResult["SearchCount"] = $forum->getQueryCount( $SearchText );
41
42
43 ?>
eZForum
Definition: ezforum.php:44
$SearchText
$SearchText
Definition: ezaddress/admin/typelist.php:143
$Limit
$Limit
Definition: ezarticle/admin/categorylist.php:66
$forum
$forum
Definition: ezforum/user/searchsupplier.php:36
$ModuleName
$ModuleName
Definition: ezforum/user/searchsupplier.php:28
$SearchResult
$SearchResult[0]["DetailedSearchPath"]
Definition: ezforum/user/searchsupplier.php:29
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.